from functools import update_wrapper
from django import http


class PDFFormFillerSite(object):
    def __init__(self, name='pdfformfiller', app_name='pdfformfiller'):
        self.name = name
        self.app_name = app_name

    def get_urls(self):
        from django.conf.urls import patterns, url, include
        view = self.view

        urlpatterns = patterns('',
            url(r'^(?P<pdf>\w+)/edit/$', view.edit, name='edit'),
            )

        return urlpatterns

    @property
    def urls(self):
        return self.get_urls(), self.app_name, self.name


site = PDFFormFillerSite()
